Returns an array containing all the fields in the document

- « SolrInputDocument::getFieldCount

- SolrInputDocument::hasChildDocuments »

- PHP Manual
- SolrInputDocument
- Returns an array containing all the fields in the document

# SolrInputDocument::getFieldNames

(PECL solr >= 0.9.2)

SolrInputDocument::getFieldNames — Returns an array containing all the fields in the document

### Description

public SolrInputDocument::getFieldNames(): array

Returns an array containing all the fields in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `false` on failure.